
QGIS Application - Bug report #2843

Check geometry validity issue

2010-06-28 10:53 PM - dr -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12903

Description

1. Create new polygonal layer;

2. Draw one polygon (e.g. triangle);

3. Vector -> Geometry Tools -> Check geometry validity;

At result: 

Feature 0 is self intersecting

Version 1.5.0 r13837

History

#1 - 2010-06-29 11:40 AM - Alexander Bruy

Seems, this bug related with changes introduced in , before this revision all works fine.

Check geometry validity report an error when running on shapefile attached in #2829, although this error should be corrected in

#2 - 2010-06-29 05:03 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:2 alexbruy]:

Seems, this bug related with changes introduced in , before this revision all works fine.

Check geometry validity report an error when running on shapefile attached in #2829, although this error should be corrected in

should be fixed in commit:de1c4945 (SVN r13847).
